# compressIPv4

IPv4 addresses are typically written down as octets, e.g. `127.0.0.1`.
However the addresses seem to be actually interpreted as one large number (after conversion into binary).
This allows for funny things, like to call `http://0x7f000001:9000` to open a HTTP service on your local host, listenting on port 9000.

This repo holds a shiny tool to do the converstion for you.
It's inspired by [a blog post from 2021](https://daniel.haxx.se/blog/2021/04/19/curl-those-funny-ipv4-addresses) by the [curl CEO](https://mastodon.social/@bagder/113979166039412014).
<!--
vim:syntax=markdown:fileencoding=utf-8:ts=4:expandtab:linebreak:wrap
-->
